> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1viewerviewervariables



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Viewer//swagger/v1/swagger.json get /api/v1/Viewer/ViewerVariables
openapi: 3.0.0
info:
  title: NDS.Services.Viewer
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Viewer/
security: []
paths:
  /api/v1/Viewer/ViewerVariables:
    get:
      tags:
        - ViewerVariable
      operationId: ViewerVariable_GetViewerVariables
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetViewerVariablesResult'
components:
  schemas:
    GetViewerVariablesResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            Variables:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/Variable'
            Values:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/VariableValue'
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    Variable:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
        Name:
          type: string
          nullable: true
        Description:
          type: string
          nullable: true
        DefaultValue:
          type: string
          nullable: true
    VariableValue:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
        VariableId:
          type: string
          format: guid
        DestinationId:
          type: string
          format: guid
        Value:
          type: string
          nullable: true
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````